provider "abc" {
    version = "~> 0.0"

    name = "localhost"
}



resource "abc_xyz" "resource1" {
    name   = "xyz-resource1"

    a_required = "a"                                                            # comment to generate an error
}



resource "abc_xyz" "resource2" {
    name   = "xyz-resource2"

    a_required = "a"                                                            # comment to generate an error

    # embedded = []                                                             # uncomment when "embedded" is Optional-Computed with "ConfigMode: schema.SchemaConfigModeAttr"
}



resource "abc_xyz" "resource3" {
    name   = "xyz-resource3"

    a_required = "a"                                                            # comment to generate an error
    a_optional = "a"
    a_optional_default = "a"
    a_optional_computed = "a"
    # a_computed = "a"                                                          # uncomment to generate an error

    embedded {
        b_required = "b"                                                        # comment to generate an error
    }
}



resource "abc_xyz" "resource4" {
    name   = "xyz-resource4"

    a_required = "a"                                                            # comment to generate an error
    a_optional = "a"
    a_optional_default = "a"
    a_optional_computed = "a"
    # a_computed = "a"                                                          # uncomment to generate an error

    embedded {
        b_required = "b"                                                        # comment to generate an error
        b_optional = "b"
        b_optional_default = "b"
        b_optional_computed = "b"
        # b_computed = "b"                                                      # uncomment to generate an error
    }
}



resource "abc_xyz" "resource5" {
    name   = "xyz-resource5"

    a_required = "a"                                                            # comment to generate an error
    a_optional = "a"
    a_optional_default = "a"
    a_optional_computed = "a"
    # a_computed = "a"                                                          # uncomment to generate an error

    embedded {
        b_required = "b"                                                        # comment to generate an error
        b_optional = "b"
        b_optional_default = "b"
        b_optional_computed = "b"
        # b_computed = "b"                                                      # uncomment to generate an error
    }
    embedded {
        b_required = "c"                                                        # comment to generate an error
        # b_optional = "c"
        # b_optional_default = "c"
        # b_optional_computed = "c"
        # b_computed = "c"                                                      # uncomment to generate an error
    }
}
